if (not ItemDataCache) then ItemDataCache = {} end
local ItemDataCache=ItemDataCache

local oldInformantGetItem
local ItemDataCacheGetByID_selltovendor=ItemDataCache.Get.ByID_selltovendor
function ItemDataCache.OverrideInformantNewGetItem(itemID, ...)
	local dataItem=oldInformantGetItem(itemID, ...)
	if(not dataItem) then return dataItem end
	local myPrice=ItemDataCacheGetByID_selltovendor(itemID)
	if(myPrice) then dataItem.sell=myPrice end
	return dataItem
end

function ItemDataCache.OverrideInformant()
	if((not Informant) or (not Informant.GetItem)) then return false end
	oldInformantGetItem=Informant.GetItem
	Informant.GetItem=ItemDataCache.OverrideInformantNewGetItem
end